Skip to content

Connect social account

POST
/api/v1/gen_agents/connect_phone

Connect a social account to an agent.

Errors:
- 422: social_account_identifier is invalid or unavailable.
- 422: Organization has no credit.
- 422: Failed to update social account.
ConnectSocialAccountRequest
object
agent_id
required
Agent Id

ID of the agent to connect

string
social_account_identifier
required
Social Account Identifier

Identifier of the social account

string

Successful Response

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Not Found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Agent already connected, invalid token, no active AURA credit, or connection failure.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Agent already connected to a social account",
"error_code": "agent_already_connected"
}

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string